USE [dbo]

 /*

 DROP TABLE [dbo].[OrganizationIntegrations]
 DROP TABLE [dbo].[Organizations]



 */


GO
SET ANSI_NULLS ON
GO
SET QUOTED_IDENTIFIER ON
GO

CREATE TABLE [dbo].[Organizations](
	[OrganizationId] BIGINT NOT NULL IDENTITY,
	[ParentOrganizationId] BIGINT NULL,
	[OrgCode] nvarchar NULL,
	[Lob] nvarchar NULL,
	[Name] nvarchar NOT NULL,
	[Description] nvarchar NOT NULL,
	[Alias] nvarchar NOT NULL,
	[Address1] nvarchar NULL,
	[Address2] nvarchar NULL,
	[City] nvarchar NULL,
	[State] nvarchar NULL,
	[ZipCode] nvarchar NULL,
	[Country] nvarchar NULL,
	[Latitude] [decimal](8, 6) NULL,
	[Longitude] [decimal](9, 6) NULL,
	[GeoCodeQuality] nvarchar NULL,
	[GeoCodeSource] nvarchar NULL,
	[Phone] nvarchar NULL,
	[Fax] nvarchar NULL,
	[CreatedDate] [datetime] DEFAULT getutcdate() NOT NULL,
	[CreatedBy] nvarchar NOT NULL,
	[UpdatedDate] [datetime] DEFAULT getutcdate() NULL,
	[UpdatedBy] nvarchar NULL,
CONSTRAINT [PK_OrganizationId] PRIMARY KEY CLUSTERED ( [OrganizationId] ASC ) WITH
(PAD_INDEX = OFF, STATISTICS_NORECOMPUTE = OFF, IGNORE_DUP_KEY = OFF, ALLOW_ROW_LOCKS = ON, ALLOW_PAGE_LOCKS = ON, OPTIMIZE_FOR_SEQUENTIAL_KEY = OFF) ON [PRIMARY]
) ON [PRIMARY];

GO

SET ANSI_NULLS ON
GO
SET QUOTED_IDENTIFIER ON
GO

CREATE TABLE [dbo].[OrganizationIntegrations](
	[OrganizationIntegrationId] BIGINT NOT NULL IDENTITY,
	[OrganizationId] BIGINT NOT NULL,
	[Name] nvarchar NOT NULL,
	[Description] nvarchar NOT NULL,
	[Alias] nvarchar NOT NULL,
	[CreatedDate] [datetime] DEFAULT getutcdate() NOT NULL,
	[CreatedBy] nvarchar NOT NULL,
	[UpdatedDate] [datetime] DEFAULT getutcdate() NULL,
	[UpdatedBy] nvarchar NULL,
CONSTRAINT [PK_OrganizationIntegrationId] PRIMARY KEY CLUSTERED ( [OrganizationIntegrationId] ASC ) WITH
(PAD_INDEX = OFF, STATISTICS_NORECOMPUTE = OFF, IGNORE_DUP_KEY = OFF, ALLOW_ROW_LOCKS = ON, ALLOW_PAGE_LOCKS = ON, OPTIMIZE_FOR_SEQUENTIAL_KEY = OFF) ON [PRIMARY],
CONSTRAINT [FK_OrganizationIntegrations_Organizations_OrganizationId] FOREIGN KEY ([OrganizationId]) REFERENCES [dbo].[Organizations] ([OrganizationId]) ON DELETE NO ACTION
) ON [PRIMARY];


GO
